com.corticon.rulesemf.viewtestmodel.testsheet.treeset

## Interface MessageSection

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface MessageSection
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Message Section'.

  The following features are supported:

  - `Message Item List`
  - `Row Count`
  - `Scroll Row Top`
  - `Column Width Severity`
  - `Column Width Message`
  See Also:
    `TreesetPackage.getMessageSection()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getColumnWidthMessage()` Returns the value of the 'Column Width Message' attribute
    `int` | `getColumnWidthSeverity()` Returns the value of the 'Column Width Severity' attribute
    `org.eclipse.emf.common.util.EList` | `getMessageItemList()` Returns the value of the 'Message Item List' containment reference list.
    `int` | `getRowCount()` Returns the value of the 'Row Count' attribute
    `int` | `getScrollRowTop()` Returns the value of the 'Scroll Row Top' attribute
    `void` | `setColumnWidthMessage(int value)` Sets the value of the '`Column Width Message`' attribute
    `void` | `setColumnWidthSeverity(int value)` Sets the value of the '`Column Width Severity`' attribute
    `void` | `setRowCount(int value)` Sets the value of the '`Row Count`' attribute
    `void` | `setScrollRowTop(int value)` Sets the value of the '`Scroll Row Top`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getMessageItemList

          org.eclipse.emf.common.util.EList getMessageItemList()

      Returns the value of the 'Message Item List' containment reference list. The list contents are of type `MessageItem`.

      If the meaning of the 'Message Item List' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Message Item List' containment reference list.
      See Also:
        `TreesetPackage.getMessageSection_MessageItemList()`

    - #### getRowCount

          int getRowCount()

      Returns the value of the 'Row Count' attribute.

      If the meaning of the 'Row Count' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Row Count' attribute.
      See Also:
        `setRowCount(int)`, `TreesetPackage.getMessageSection_RowCount()`

    - #### setRowCount

          void setRowCount(int value)

      Sets the value of the '`Row Count`' attribute.
      Parameters:
        `value` - the new value of the 'Row Count' attribute.
      See Also:
        `getRowCount()`

    - #### getScrollRowTop

          int getScrollRowTop()

      Returns the value of the 'Scroll Row Top' attribute.

      If the meaning of the 'Scroll Row Top' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Scroll Row Top' attribute.
      See Also:
        `setScrollRowTop(int)`, `TreesetPackage.getMessageSection_ScrollRowTop()`

    - #### setScrollRowTop

          void setScrollRowTop(int value)

      Sets the value of the '`Scroll Row Top`' attribute.
      Parameters:
        `value` - the new value of the 'Scroll Row Top' attribute.
      See Also:
        `getScrollRowTop()`

    - #### getColumnWidthSeverity

          int getColumnWidthSeverity()

      Returns the value of the 'Column Width Severity' attribute.

      If the meaning of the 'Column Width Severity' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Severity' attribute.
      See Also:
        `setColumnWidthSeverity(int)`, `TreesetPackage.getMessageSection_ColumnWidthSeverity()`

    - #### setColumnWidthSeverity

          void setColumnWidthSeverity(int value)

      Sets the value of the '`Column Width Severity`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Severity' attribute.
      See Also:
        `getColumnWidthSeverity()`

    - #### getColumnWidthMessage

          int getColumnWidthMessage()

      Returns the value of the 'Column Width Message' attribute.

      If the meaning of the 'Column Width Message' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Column Width Message' attribute.
      See Also:
        `setColumnWidthMessage(int)`, `TreesetPackage.getMessageSection_ColumnWidthMessage()`

    - #### setColumnWidthMessage

          void setColumnWidthMessage(int value)

      Sets the value of the '`Column Width Message`' attribute.
      Parameters:
        `value` - the new value of the 'Column Width Message' attribute.
      See Also:
        `getColumnWidthMessage()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.